org.mariadb.jdbc.internal.mysql

## Class SharedMemorySocket.Advapi32.SECURITY_ATTRIBUTES

- java.lang.Object
- - com.sun.jna.Structure
  - - org.mariadb.jdbc.internal.mysql.SharedMemorySocket.Advapi32.SECURITY_ATTRIBUTES

Enclosing interface:
  SharedMemorySocket.Advapi32

    public static class SharedMemorySocket.Advapi32.SECURITY_ATTRIBUTES
    extends com.sun.jna.Structure

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`com.sun.jna.Structure.ByReference, com.sun.jna.Structure.ByValue`

### Field Summary

Fields
`boolean` `bInheritHandle`
`com.sun.jna.Pointer` `lpSecurityDescriptor`
`int` `nLength`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`SharedMemorySocket.Advapi32.SECURITY_ATTRIBUTES()`

### Method Summary

Methods
`protected List` `getFieldOrder()`

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, useMemory, useMemory, write, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### nLength

    public int nLength

#### lpSecurityDescriptor

    public com.sun.jna.Pointer lpSecurityDescriptor

#### bInheritHandle

    public boolean bInheritHandle

### Constructor Detail

#### SharedMemorySocket.Advapi32.SECURITY_ATTRIBUTES

    public SharedMemorySocket.Advapi32.SECURITY_ATTRIBUTES()

### Method Detail

#### getFieldOrder

    protected List getFieldOrder()

Overrides:
  `getFieldOrder` in class `com.sun.jna.Structure`